<resources xmlns:tools="http://schemas.android.com/tools">
    <!-- Base application theme. -->
    <style name="Theme.PosPayDemo" parent="Theme.MaterialComponents.DayNight.DarkActionBar">
        <!-- Primary brand color. -->
        <item name="colorPrimary">@color/purple_500</item>
        <item name="colorPrimaryVariant">@color/purple_700</item>
        <item name="colorOnPrimary">@color/white</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/teal_200</item>
        <item name="colorSecondaryVariant">@color/teal_700</item>
        <item name="colorOnSecondary">@color/black</item>
<!--        <item name="colorPrimaryVariant" tools:ignore="DuplicateDefinition">@color/white</item>-->
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
        <!-- Customize your theme here. -->
<!--        <item name="materialButtonStyle">@style/AppButton</item>-->
<!--        <item name="materialB">@style/AppButton</item>-->
    </style>

    <style name="AppButton" parent="Widget.MaterialComponents.Button">
<!--        <item name="backgroundTint">@color/button_bg_color</item>-->
        <item name="cornerRadius">10dp</item>
        <item name="android:height">60dp</item>
    </style>

    <style name="DataButton" parent="AppButton">
        <item name="backgroundTint">@color/button_data_color</item>
    </style>
    <style name="TransButton" parent="AppButton">
        <item name="backgroundTint">@color/button_trans_color</item>
    </style>
    <style name="HwButton" parent="AppButton">
        <item name="backgroundTint">@color/button_hw_color</item>
    </style>
    <style name="ManagerButton" parent="AppButton">
        <item name="backgroundTint">@color/button_manager_color</item>
    </style>

    <style name="PrintButton" parent="Widget.MaterialComponents.Button.OutlinedButton">
<!--        <item name="backgroundTint">@color/button_hw_color</item>-->
        <item name="cornerRadius">10dp</item>
        <item name="android:height">60dp</item>
    </style>


    <style name="Theme.Data" parent="Theme.MaterialComponents.DayNight.DarkActionBar">
        <!-- Primary brand color. -->
        <item name="colorPrimary">@color/data_primary</item>
        <item name="colorPrimaryVariant">@color/data_light</item>
        <item name="colorOnPrimary">@color/white</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/teal_200</item>
        <item name="colorSecondaryVariant">@color/teal_700</item>
        <item name="colorOnSecondary">@color/black</item>
        <item name="colorOnSurface">@color/black</item>
        <!--        <item name="colorPrimaryVariant" tools:ignore="DuplicateDefinition">@color/white</item>-->
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
        <!-- Customize your theme here. -->
                <item name="materialButtonStyle">@style/DataButton</item>
        <!--        <item name="materialB">@style/AppButton</item>-->
    </style>
    <style name="Theme.Manager" parent="Theme.MaterialComponents.DayNight.DarkActionBar">
        <!-- Primary brand color. -->
        <item name="colorPrimary">@color/manager_primary</item>
        <item name="colorPrimaryVariant">@color/manager_light</item>
        <item name="colorOnPrimary">@color/white</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/teal_200</item>
        <item name="colorSecondaryVariant">@color/teal_700</item>
        <item name="colorOnSecondary">@color/black</item>
        <item name="colorOnSurface">@color/black</item>
        <!--        <item name="colorPrimaryVariant" tools:ignore="DuplicateDefinition">@color/white</item>-->
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
        <!-- Customize your theme here. -->
                <item name="materialButtonStyle">@style/ManagerButton</item>
        <!--        <item name="materialB">@style/AppButton</item>-->
    </style>
    <style name="Theme.Trans" parent="Theme.MaterialComponents.DayNight.DarkActionBar">
        <!-- Primary brand color. -->
        <item name="colorPrimary">@color/trans_primary</item>
        <item name="colorPrimaryVariant">@color/trans_light</item>
        <item name="colorOnPrimary">@color/white</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/teal_200</item>
        <item name="colorSecondaryVariant">@color/teal_700</item>
        <item name="colorOnSecondary">@color/black</item>
        <item name="colorOnSurface">@color/black</item>
        <!--        <item name="colorPrimaryVariant" tools:ignore="DuplicateDefinition">@color/white</item>-->
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
        <!-- Customize your theme here. -->
                <item name="materialButtonStyle">@style/TransButton</item>
        <!--        <item name="materialB">@style/AppButton</item>-->
    </style>
    <style name="Theme.HW" parent="Theme.MaterialComponents.DayNight.DarkActionBar">
        <!-- Primary brand color. -->
        <item name="colorPrimary">@color/hw_primary</item>
        <item name="colorPrimaryVariant">@color/hw_light</item>
        <item name="colorOnPrimary">@color/white</item>
        <!-- Secondary brand color. -->
        <item name="colorSecondary">@color/teal_200</item>
        <item name="colorSecondaryVariant">@color/teal_700</item>
        <item name="colorOnSecondary">@color/black</item>
        <item name="colorOnSurface">@color/black</item>
        <!--        <item name="colorPrimaryVariant" tools:ignore="DuplicateDefinition">@color/white</item>-->
        <!-- Status bar color. -->
        <item name="android:statusBarColor" tools:targetApi="l">?attr/colorPrimaryVariant</item>
        <!-- Customize your theme here. -->
                <item name="materialButtonStyle">@style/HwButton</item>
        <!--        <item name="materialB">@style/AppButton</item>-->
    </style>
</resources>